{--------------------------------------------------------}
{    Programa WordUtil
{    Mensagens
{--------------------------------------------------------}

unit WuMensa;

interface
uses windos, dvcrt, dvWin ;

procedure mensagem (nomeArq: string; nlf: integer);

implementation

{--------------------------------------------------}
procedure mensagem (nomeArq: string; nlf: integer);
{--------------------------------------------------}
var i: integer;
    s : string;
begin
    if nomeArq = 'wufim' then
       s := 'Fim do WordUtil'

    else
    if nomeArq = 'wuini' then
       s := 'WordUtil V '

    else
    if nomeArq = 'wudesaal' then
       s := 'Deseja salvar as alterações em '

    else
    if nomeArq = 'wuqunome' then
       s := 'Qual o nome do arquivo? '
    
    else
    if nomeArq = 'wuarnacr' then
       s := 'Arquivo nao existe, deseja criá-lo ?'

    else
    if nomeArq = 'wunacr' then
       s := 'Não consegui criar.'

    else
    if nomeArq = 'wumoleed' then
       s := 'Módulo de leitura ou edição ?'

    else
    if nomeArq = 'wuabno' then
       s := 'Deseja tentar abrir novamente ?'

    else
    if nomeArq = 'wudesa' then
       s := 'Deseja sair ?'

    else
    if nomeArq = 'wuagin' then
       s := 'Aguarde um instante.'

    else
    if nomeArq = 'wuedat' then
       s := 'Módulo de Edição ativado.'

    else
    if nomeArq = 'wuleat' then
       s := 'Módulo de leitura ativado.'

    else
    if nomeArq = 'wunonoar' then
       s := 'Qual o nome do novo arquivo ?'

    else
    if nomeArq = 'wunacrar' then
       s := 'Não foi possivel criar esse arquivo.'

    else
    if nomeArq = 'wuarno' then
       s := 'Arquivo novo.'

    else
    if nomeArq = 'wuquteen' then
       s := 'Qual o arquivo de texto a enviar ?'

    else
    if nomeArq = 'wudesi' then
       s := 'Desistiu.'

    else
    if nomeArq = 'wuarnoex' then
       s := 'Arquivo não existe.'

    else
    if nomeArq = 'wuteenli' then
       s := 'Teclo ENTER ao fim de todas as linhas ?'

    else
    if nomeArq = 'wuimnoar' then
       s := 'Importar para um novo arquivo ?'

    else
    if nomeArq = 'wumolemu' then
       s := 'Você está no módulo de leitura.'

    else
    if nomeArq = 'wunaopod' then
       s := 'Esta operação não pode ser feita.'

    else
    if nomeArq = 'wumude' then
       s := 'Mude para o módulo de edição ou importe para um novo arquivo.'

    else
    if nomeArq = 'wuagua' then
       s := 'Aguarde um momento.'

    else
    if nomeArq = 'wuimp' then
       s := 'importei'

    else
    if nomeArq = 'wuedit' then
       s := 'editado'

    else
    if nomeArq = 'wuarnosa' then
    s := 'O arquivo não foi salvo.'

    else
    if nomeArq = 'wuarsa' then
       s := 'Arquivo salvo.'

    else
    if nomeArq = 'wuesfear' then
       s := 'Este comando fechará automaticamente o seu arquivo.'

    else
    if nomeArq = 'wudeco' then
       s := 'Deseja cantinuar ?'

    else
    if nomeArq = 'wuextx' then
       s := 'Exportado para txt.'

    else
    if nomeArq = 'wuabca' then
       s := 'Abertura  cancelada.'

    else
    if nomeArq = 'wuarab' then
       s := 'Arquivo aberto.'

    else
    if nomeArq = 'wunaabar' then
       s := 'Não foi possivel abrir o arquivo.'

    else
    if nomeArq = 'wumearn' then
       s := 'N - arquivo novo.'

    else
    if nomeArq = 'wumeara' then
       s := 'A - Abrir.'

    else
    if nomeArq = 'wumearf' then
       s := 'F - Fechar Arquivo.'

    else
    if nomeArq = 'wumears' then
       s := 'S - salvar.'

    else
    if nomeArq = 'wumearc' then
       s := 'C - salvar Como.'

    else
    if nomeArq = 'wumeare' then
       s := 'E - exportar para formato txt.'

    else
    if nomeArq = 'wumeari' then
       s := 'I - importar de formato txt.'

    else
    if nomeArq = 'wumearop' then
       s := 'Menu Arquivar - qual sua opção ?'

    else
    if nomeArq = 'wucoca' then
       s := 'Comando cancelado.'

    else
    if nomeArq = 'wuopin' then
       s := 'Opção invalida.'

    else
    if nomeArq = 'wupaqu' then
       s := 'Página quebrada.'

    else
    if nomeArq = 'wupaju' then
       s := 'Páginas juntadas.'

    else
    if nomeArq = 'wumecoq' then
       s := 'Q - quebra de linha.'

    else
    if nomeArq = 'wumecop' then
       s := 'P - quebra de página.'

    else
    if nomeArq = 'wumecoa' then
       s := 'A - adiciona a linha atual à anterior.'

    else
    if nomeArq = 'wumecoj' then
       s := 'J - junta a página atual com a posterior.'

    else
    if nomeArq = 'wumecot' then
       s := 'T - troca arquivo.'

    else
    if nomeArq = 'wuliqu' then
       s := 'Linha quebrada.'

    else
    if nomeArq = 'wuliju' then
       s := 'Linhas Juntadas.'

    else
    if nomeArq = 'wunuar' then
       s := 'Qual o número do arquivo ?'

    else
    if nomeArq = 'wutrar' then
       s := 'Troquei de arquivo.'

    else
    if nomeArq = 'wumecoop' then
       s := 'menu Comando de Página - qual sua opção ?'

    else
    if nomeArq = 'wuesexed' then
       s := 'Esse comando só pode ser executado no módulo de edição.'

    else
    if nomeArq = 'wumeede' then
       s := 'E - editar bloco.'

    else
    if nomeArq = 'wumeedr' then
       s := 'R - remover linha.'

    else
    if nomeArq = 'wumeedc' then
       s := 'C - copiar.'

    else
    if nomeArq = 'wumeedl' then
       s := 'L - colar.'

    else
    if nomeArq = 'wumeedt' then
       s := 'T - recortar.'

    else
    if nomeArq = 'wucooq' then
       s := 'O que deseja copiar ?'

    else
    if nomeArq = 'wuco' then
       s := 'Copiado.'

    else
    if nomeArq = 'wureoq' then
       s := 'O que deseja recortar ?'

    else
    if nomeArq = 'wure' then
       s := 'Recortado.'

    else
    if nomeArq = 'wulire' then
       s := 'Linha removida.'

    else
    if nomeArq = 'wumeedop' then
       s := 'menu Editar - qual sua opção?'

    else
    if nomeArq = 'wufo' then
       s := 'Fonte: '

    else
    if nomeArq = 'wutaan' then
       s := 'Tamanho antigo.'

    else
    if nomeArq = 'wutano' then
       s := 'Novo tamanho: '

    else
    if nomeArq = 'wucancel' then
       s := 'Cancelado.'

    else
    if nomeArq = 'wucoin' then
       s := 'comando inválido.'

    else
    if nomeArq = 'wufont' then
       s := 'Fonte '

    else
    if nomeArq = 'wutipo' then
       s := 'Tipo '

    else
    if nomeArq = 'wutama' then
       s := 'Tamanho '

    else
    if nomeArq = 'wualtoq' then
       s := 'O que deseja alterar ?'

    else
    if nomeArq = 'wufoalt' then
       s := 'Fonte alterada.'

    else
    if nomeArq = 'wuneoq' then
       s := 'O que deseja negritar ?'

    else
    if nomeArq = 'wunegri' then
       s := 'Negritado.'

    else
    if nomeArq = 'wualtade' then
       s := 'Deseja alterar o tamanho de quê ?'

    else
    if nomeArq = 'wualta' then
        s := 'Alterei o tamanho.'

    else
    if nomeArq = 'wusuoq' then
       s := 'O que deseja sublinhar ?'

    else
    if nomeArq = 'wusu' then
       s := 'Sublinhado.'

    else
    if nomeArq = 'wuitoq' then
       s := 'O que deseja italicizar ?'

    else
    if nomeArq = 'wuit' then
       s := 'Italicizado.'

    else
    if nomeArq = 'wutocooq' then
       s := 'O que deseja tornar comum ?'

    else
    if nomeArq = 'wuleco' then
       s := 'Letra comum.'

    else
    if nomeArq = 'wuneitoq' then
       s := 'O que deseja negritar e italicizar ?'

    else
    if nomeArq = 'wuneit' then
       s := 'Negritado e Italicizado.'

    else
    if nomeArq = 'wumefov' then
        s := 'V - verificar fonte atual.'

    else
    if nomeArq = 'wumefof' then
       s := 'F - alterar fonte.'

    else
    if nomeArq = 'wumefoa' then
       s := 'A - alterar tamanho da fonte.'

    else
    if nomeArq = 'wumefon' then
       s := 'N - negritar.'

    else
    if nomeArq = 'wumefos' then
       s := 'S - sublinhar trecho.'

    else
    if nomeArq = 'wumefoi' then
        s := 'I - italicizar.'

    else
    if nomeArq = 'wumefot' then
       s := 'T - negrito itálico.'

    else
    if nomeArq = 'wumefoc' then
        s := 'C - letra comum.'

    else
    if nomeArq = 'wumefo' then
        s := 'menu Fontes - qual sua opcao ?'

    else
    if nomeArq = 'wuenalt' then
        s := 'ENTER - altera a palavra pela sugestao atual.'

    else
    if nomeArq = 'wuesca' then
       s := 'ESC - cancela.'

    else
    if nomeArq = 'wuedpadu' then
       s := 'Edite a palavra duvidosa: '

    else
    if nomeArq = 'wucoorca' then
      s := 'Correçãoo ortográfica cancelada.'

    else
    if nomeArq = 'wuveoren' then
       s := 'A verificação ortográfica está encerrada.'

    else
    if nomeArq = 'wutefo' then
       s := 'Texto formatado.'

    else
    if nomeArq = 'wumeftc' then
       s := 'C - corretor ortográfico.'

    else
    if nomeArq = 'wumeftw' then
       s := 'W - pre formatacao Word.'

    else
    if nomeArq = 'wumeftd' then
       s := 'D - pre formatacao DosVox.'

    else
    if nomeArq = 'wumeftop' then
       s := 'menu Formatar - qual sua opcao ?'

    else
    if nomeArq = 'wumeimi' then
       s := 'I - impressao padrao.'

    else
    if nomeArq = 'wumeimp' then
        s := 'P - impressao personalizada'

    else
    if nomeArq = 'wuimdes' then
       s := 'Impressora provavelmente desconectada.'

    else
    if nomeArq = 'wudocenv' then
       s := 'Documento enviado para impressão.'

    else
    if nomeArq = 'wunuco' then
       s := 'Número de copias: '

    else
    if nomeArq = 'wuquinpa' then
       s := 'Qual o intervalo de página ?'

    else
    if nomeArq = 'wuqupa' then
       s := 'Quais as páginas ?'

    else
    if nomeArq = 'wuerroim' then
       s := 'ERRO. Impressao cancelada.'

    else
    if nomeArq = 'wumeimqu' then
       s := 'Menu Imprimir - Qual sua opção ?'

    else
    if nomeArq = 'wubupa' then
       s := 'Buscar qual palavra ?'

    else
    if nomeArq = 'wunapa' then
       s := 'O WordUtil não achou a palavra ou nova ocorrência.'

    else
    if nomeArq = 'wubuter' then
       s := 'Busca terminada.'

    else
    if nomeArq = 'wulo' then
       s := 'Localizar o quê: '

    else
    if nomeArq = 'wusupo' then
       s := 'Substituir por: '

    else
    if nomeArq = 'wumeprp' then
       s := 'P - Busca Palavra. '

    else
    if nomeArq = 'wumeprn' then
       s := 'N - Busca Palavra novamentre.'

    else
    if nomeArq = 'wumeprs' then
       s := 'S - Substitui.'

    else
    if nomeArq = 'wumeprqu' then
       s := 'Menu Procurar - qual sua opcao ?'

    else
    if nomeArq = 'wup' then
       s := 'P - menu Procurar.'

    else
    if nomeArq = 'wuc' then
       s := 'C - menu Comando de Página.'

    else
    if nomeArq = 'wuj' then
       s := 'J - menu Justificar.'

    else
    if nomeArq = 'wut' then
       s := 'T - menu Formatar.'

    else
    if nomeArq = 'wuf' then
       s := 'F - menu Fontes.'

    else
    if nomeArq = 'wui' then
       s := 'I - menu Imprimir.'

    else
    if nomeArq = 'wua' then
       s := 'A - menu Arquivar.'

    else
    if nomeArq = 'wue' then
       s := 'E - menu Editar.'

    else
    if nomeArq = 'wujust' then
       s := 'J - justificado.'

    else
    if nomeArq = 'wucent' then
       s := 'C - centralizado.'

    else
    if nomeArq = 'wuesqu' then
       s := 'E - margem esquerda.'

    else
    if nomeArq = 'wudir' then
       s := 'D - margem direita.'

    else
    if nomeArq = 'wuqutab' then
       s := 'Qual a tabulação ?'

    else
    if nomeArq = 'wuteoupa' then
       s := 'Texto ou Parágrafo ?'

    else
    if nomeArq = 'wuquop' then
       s := 'Qual sua opção ?'

    else
    if nomeArq = 'wuentini' then
       s := 'ENTER para marcar o inicio do bloco.'

    else
    if nomeArq = 'wuentfim' then
       s := 'ENTER para marcar o fim do bloco.'

    else
    if nomeArq = 'wuteto' then
      s := 'T - texto todo.'

    else
    if nomeArq = 'wuliat' then
       s := 'L - linha atual.'

    else
    if nomeArq = 'wupade' then
       s := 'P - palavras determinadas.'

    else
    if nomeArq = 'wusuter' then
       s := 'Substituição terminada.'

    else
    if nomeArq = 'wuippet' then
       s := 'T - todas as páginas.'

    else
    if nomeArq = 'wuippel' then
       s :='P - página atual.'

    else
    if nomeArq = 'wuippeg' then
       s := 'G - páginas determinadas.'
    else
       s := 'O arquivo não existe' + nomeArq;



    write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomeArq) then
        sintSom (nomeArq)
    else
        sintetiza (s);
end;

end.
